using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using SysCore.Model;
using SysCore.DAL;
using System.Data;
using SysCore.Control;

public partial class System_ModuleScript_ModuleScript_Edit : System.Web.UI.Page
{
    public Hashtable xview = new Hashtable();
    public AuthUI auth = new AuthUI();
    public int ms_id;
    protected void Page_Load(object sender, EventArgs e)
    {
        string action = Request["action"];
        xview.Add("action", action);
        //update为修改状态
        if (action.Equals("Update")) BindData();

     
    }
    /// <summary>
    /// 绑定页面数据
    /// </summary>
    void BindData()
    {
        ms_id = Convert.ToInt32(Request["ms_id"]);
        ModuleScriptDAL dal = new ModuleScriptDAL();
        ModuleScript m = dal.Get(ms_id);
        xview.Add("ms_id", ms_id);
        xview.Add("ms_code", m.ms_code);
        xview.Add("ms_name", m.ms_name);
        xview.Add("script", m.script);
        xview.Add("remark", m.remark);
    }
}